net.sourceforge.pmd.renderers

## Class YAHTMLRendererTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.renderers.AbstractRendererTst
    - - net.sourceforge.pmd.renderers.YAHTMLRendererTest

    public class YAHTMLRendererTest
    extends AbstractRendererTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`YAHTMLRendererTest()`

### Method Summary

Methods
`void` `cleanUp()`
`String` `getExpected()`
`String` `getExpectedEmpty()`
`String` `getExpectedError(Report.ProcessingError error)`
`String` `getExpectedMultiple()`
`Renderer` `getRenderer()`
`void` `setUp()`
`static junit.framework.Test` `suite()`

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRendererTst

`testError, testNullPassedIn, testRenderer, testRendererEmpty, testRendererMultiple`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YAHTMLRendererTest

    public YAHTMLRendererTest()

### Method Detail

#### setUp

    public void setUp()
               throws IOException

Throws:
  `IOException`

#### cleanUp

    public void cleanUp()

#### getRenderer

    public Renderer getRenderer()

Specified by:
  `getRenderer` in class `AbstractRendererTst`

#### getExpected

    public String getExpected()

Specified by:
  `getExpected` in class `AbstractRendererTst`

#### getExpectedEmpty

    public String getExpectedEmpty()

Specified by:
  `getExpectedEmpty` in class `AbstractRendererTst`

#### getExpectedMultiple

    public String getExpectedMultiple()

Specified by:
  `getExpectedMultiple` in class `AbstractRendererTst`

#### getExpectedError

    public String getExpectedError(Report.ProcessingError error)

Overrides:
  `getExpectedError` in class `AbstractRendererTst`

#### suite

    public static junit.framework.Test suite()